## libraw 0.18.1

=== debian/changelog ===
libraw (0.18.1-1ubuntu0.1) zesty-security; urgency=medium

  * SECURITY UPDATE: memory corruption in parse_tiff_ifd
    - debian/patches/CVE-2017-688x.patch: add checks to dcraw/dcraw.c,
      internal/dcraw_common.cpp.
    - CVE-2017-6886
    - CVE-2017-6887
  * SECURITY UPDATE: floating point exception in kodak_radc_load_raw
    - debian/patches/CVE-2017-13735.patch: add checks to dcraw/dcraw.c,
      internal/dcraw_common.cpp.
    - CVE-2017-13735
  * SECURITY UPDATE: buffer overflow in xtrans_interpolate
    - debian/patches/CVE-2017-14265.patch: add checks to dcraw/dcraw.c,
      internal/dcraw_common.cpp.
    - CVE-2017-14265
  * SECURITY UPDATE: buffer overflow in processCanonCameraInfo
    - debian/patches/CVE-2017-14348.patch: add checks to dcraw/dcraw.c,
      internal/dcraw_common.cpp.
    - CVE-2017-14348
  * SECURITY UPDATE: out of bounds read in kodak_65000_load_raw
    - debian/patches/CVE-2017-14608.patch: add checks to dcraw/dcraw.c,
      internal/dcraw_common.cpp.
    - CVE-2017-14608

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 16 Nov 2017 13:53:54 -0500

libraw (0.18.1-1) experimental; urgency=medium

  * New upstream release

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 03 Mar 2017 14:57:36 +0100

libraw (0.18.0-1) experimental; urgency=medium

  * New upstream release
    - debian/: SONAME bump libraw15 => libraw16
    - debian/libraw16.symbols: symbols updated
    - debian/copyright: licenses updated
    - debian/patches/: patchset dropped (applied upstream)
  * debian/: bump compatibility 9 -> 10

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 02 Jan 2017 13:52:44 +0100

=== debian/control ===
Source: libraw
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
Uploaders: Matteo F. Vescovi <mfv@debian.org>
Build-Depends: debhelper (>= 10),
               autotools-dev,
               pkg-config,
               liblcms2-dev,
               libjpeg-dev
Standards-Version: 3.9.8
Homepage: http://www.libraw.org/
Vcs-Git: https://anonscm.debian.org/git/pkg-phototools/libraw.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-phototools/libraw.git

Package: libraw16
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Multi-Arch: same
Description: raw image decoder library
 LibRaw is a library for reading RAW files obtained from digital photo cameras
 (CRW/CR2, NEF, RAF, DNG, and others).
 .
 This package contains the shared library.

Package: libraw-bin
Section: graphics
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Multi-Arch: foreign
Description: raw image decoder library (tools)
 LibRaw is a library for reading RAW files obtained from digital photo cameras
 (CRW/CR2, NEF, RAF, DNG, and others).
 .
 This package contains some tools to manipulate RAW files.

Package: libraw-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libraw16 (= ${binary:Version}),
         liblcms2-dev
Multi-Arch: same
Description: raw image decoder library (development files)
 LibRaw is a library for reading RAW files obtained from digital photo cameras
 (CRW/CR2, NEF, RAF, DNG, and others).
 .
 This package contains the static library and header files.

Package: libraw-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: raw image decoder library (documentation)
 LibRaw is a library for reading RAW files obtained from digital photo cameras
 (CRW/CR2, NEF, RAF, DNG, and others).
 .
 This package contains documentation files.

=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS += -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with autotools_dev

override_dh_auto_configure:
	dh_auto_configure -- \
		--prefix=/usr \
		--bindir=/usr/lib/libraw \
		--enable-jpeg

override_dh_makeshlibs:
	dh_makeshlibs -V 'libraw16 (>= 0.18.0-1)'

## libraw 0.18.2

=== debian/changelog ===
libraw (0.18.2-2ubuntu0.3) artful-security; urgency=medium

  * SECURITY UPDATE: Stack-based buffer overflow
    - debian/patches/CVE-2018-10528.patch: parser possible
      buffer overrun in  src/libraw_cxx.cpp.
    - CVE-2018-10528
  * SECURITY UPDATE: Out-of-bounds read
    - debian/patches/CVE-2018-10529.patch: X3F property table list fix
      in src/libraw_cxx.cpp, internal/libraw_x3f.cpp.
    - CVE-2018-10529

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Mon, 07 May 2018 11:25:51 -0300

libraw (0.18.2-2ubuntu0.2) artful-security; urgency=medium

  * SECURITY UPDATE: buffer overflow in panasonic_load_raw
    - debian/patches/CVE-2017-16909.patch: add more bounds checking to
      dcraw/dcraw.c, internal/dcraw_common.cpp, libraw/libraw_const.h.
    - CVE-2017-16909
  * SECURITY UPDATE: invalid read in xtrans_interpolate
    - debian/patches/CVE-2017-16910.patch: add checks and proper
      initialization to dcraw/dcraw.c, internal/dcraw_common.cpp.
    - CVE-2017-16910
  * SECURITY UPDATE: multiple security issues
    - debian/patches/CVE-2018-580x.patch: add checks to dcraw/dcraw.c,
      internal/dcraw_common.cpp, src/libraw_cxx.cpp.
    - CVE-2018-5800
    - CVE-2018-5801
    - CVE-2018-5802
  * SECURITY UPDATE: image size and alloc issues
    - debian/patches/security_0.18.8_1.patch: add more checks to
      dcraw/dcraw.c, internal/dcraw_common.cpp, libraw/libraw_const.h,
      src/libraw_cxx.cpp.
    - No CVE number
  * SECURITY UPDATE: Secunia #81000 security issues
    - debian/patches/security_0.18.8_2.patch: add more checks to
      dcraw/dcraw.c, internal/dcraw_common.cpp.
    - No CVE number

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 30 Mar 2018 08:23:34 -0400

libraw (0.18.2-2ubuntu0.1) artful-security; urgency=medium

  * SECURITY UPDATE: floating point exception in kodak_radc_load_raw
    - debian/patches/CVE-2017-13735.patch: add checks to dcraw/dcraw.c,
      internal/dcraw_common.cpp.
    - CVE-2017-13735
  * SECURITY UPDATE: buffer overflow in xtrans_interpolate
    - debian/patches/CVE-2017-14265.patch: add checks to dcraw/dcraw.c,
      internal/dcraw_common.cpp.
    - CVE-2017-14265
  * SECURITY UPDATE: buffer overflow in processCanonCameraInfo
    - debian/patches/CVE-2017-14348.patch: add checks to dcraw/dcraw.c,
      internal/dcraw_common.cpp.
    - CVE-2017-14348
  * SECURITY UPDATE: out of bounds read in kodak_65000_load_raw
    - debian/patches/CVE-2017-14608.patch: add checks to dcraw/dcraw.c,
      internal/dcraw_common.cpp.
    - CVE-2017-14608

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 16 Nov 2017 13:43:56 -0500

libraw (0.18.2-2) unstable; urgency=medium

  * Upload to unstable
  * debian/control: S-V bump 3.9.8 => 4.0.0 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 22 Jun 2017 17:32:33 +0200

libraw (0.18.2-1) experimental; urgency=medium

  * New upstream release
    - debian/libraw16.symbols: MISSING symbols updated

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 25 Mar 2017 13:45:42 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                pkg-config,
                liblcms2-dev,
                libjpeg-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://www.libraw.org/
 Vcs-Git: https://anonscm.debian.org/git/pkg-phototools/libraw.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-phototools/libraw.git

## libraw 0.18.8

=== debian/changelog ===
libraw (0.18.8-1) unstable; urgency=medium

  * New upstream release
    - debian/libraw16.symbols: symbols updated

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 04 Mar 2018 15:29:17 +0100

libraw (0.18.7-2) unstable; urgency=medium

  [ Jason Duerstock ]
  * debian/libraw16.symbols: symbols refreshed to add ia64 architecture
    (Closes: #888061)

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 24 Jan 2018 14:44:01 +0100

libraw (0.18.7-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright: copyright-format moved to https://

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 22 Jan 2018 23:02:49 +0100

libraw (0.18.6-1) unstable; urgency=medium

  * New upstream release
  * debian/compat: 10 -> 11
  * debian/control: debhelper versioning 10 -> 11
  * debian/control: S-V bump 4.1.1 -> 4.1.3 (no changes needed)
  * debian/libraw16.symbols: update MISSING symbols
  * debian/libraw-doc.doc-base: fix installation path

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 07 Jan 2018 14:04:54 +0100

libraw (0.18.5-1) unstable; urgency=medium

  * New upstream release (Closes: #874729)
  * debian/: autotools-dev usage dropped
  * debian/control: S-V bump 4.0.0 -> 4.1.1 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 06 Oct 2017 21:51:38 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,13 @@
 Source: libraw
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
+Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
 Uploaders: Matteo F. Vescovi <mfv@debian.org>
-Build-Depends: debhelper (>= 10),
-               autotools-dev,
+Build-Depends: debhelper (>= 11),
                pkg-config,
                liblcms2-dev,
                libjpeg-dev
-Standards-Version: 4.0.0
+Standards-Version: 4.1.3
 Homepage: http://www.libraw.org/
 Vcs-Git: https://anonscm.debian.org/git/pkg-phototools/libraw.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-phototools/libraw.git

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 LDFLAGS += -Wl,-z,defs -Wl,--as-needed
 
 %:
-	dh $@ --with autotools_dev
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \

## libraw 0.18.13

=== debian/changelog ===
libraw (0.18.13-1ubuntu0.1) cosmic-security; urgency=medium

  * SECURITY UPDATE: infinite loop issues
    - debian/patches/CVE-2018-581x.patch: add more checks to dcraw/dcraw.c,
      internal/dcraw_common.cpp.
    - CVE-2018-5817
    - CVE-2018-5818
    - CVE-2018-5819
  * SECURITY UPDATE: stack overflow in parse_makernote
    - debian/patches/CVE-2018-20337.patch: properly calculate length in
      dcraw/dcraw.c, internal/dcraw_common.cpp.
    - CVE-2018-20337
  * SECURITY UPDATE: NULL deref in LibRaw::raw2image
    - debian/patches/CVE-2018-20363.patch: add check in src/libraw_cxx.cpp.
    - CVE-2018-20363
  * SECURITY UPDATE: NULL deref in LibRaw::copy_bayer
    - debian/patches/CVE-2018-20364.patch: add check in src/libraw_cxx.cpp.
    - CVE-2018-20364
  * SECURITY UPDATE: heap overflow in LibRaw::raw2image()
    - debian/patches/CVE-2018-20365.patch: zero filters in dcraw/dcraw.c,
      internal/dcraw_common.cpp.
    - CVE-2018-20365

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 17 May 2019 11:50:29 -0400

libraw (0.18.13-1) unstable; urgency=medium

  * New upstream release
  * debian/control: S-V bump 4.1.4 -> 4.1.5 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 13 Jul 2018 00:05:29 +0200

libraw (0.18.11-1) unstable; urgency=high

  * New upstream release (Closes: #897185, #897186)
    - Fix CVE-2018-10528 and CVE-2018-10529
  * debian/control: S-V bump 4.1.3 -> 4.1.4 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Tue, 29 May 2018 23:40:01 +0200

libraw (0.18.8-2) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * d/control: Update the Vcs-* fields for the move to salsa.debian.org.
  * Use HTTPS in the Homepage field.
  * d/rules: make use of dpkg-buildflags facilities to set LDFLAGS
    built files are bit-by-bit reproducible.
  * d/rules: drop option already passed by dh_auto_configure --prefix=/usr
  * d/rules: drop manual invocation of dh_makeshlibs.
  * Simplify symbols file, collating the architectures filters
    into arch-bits=64/32.

  [ Matteo F. Vescovi ]
  * debian/libraw16.symbols: MISSING entries dropped

 -- Matteo F. Vescovi <mfv@debian.org>  Tue, 06 Mar 2018 22:33:44 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: libraw
 Section: libs
 Priority: optional
-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
 Uploaders: Matteo F. Vescovi <mfv@debian.org>
 Build-Depends: debhelper (>= 11),
                pkg-config,
                liblcms2-dev,
                libjpeg-dev
-Standards-Version: 4.1.3
-Homepage: http://www.libraw.org/
-Vcs-Git: https://anonscm.debian.org/git/pkg-phototools/libraw.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-phototools/libraw.git
+Standards-Version: 4.1.5
+Homepage: https://www.libraw.org
+Vcs-Browser: https://salsa.debian.org/debian-phototools-team/libraw
+Vcs-Git: https://salsa.debian.org/debian-phototools-team/libraw.git
 
 Package: libraw16
 Architecture: any

## libraw 0.19.2

=== debian/changelog ===
libraw (0.19.2-2) unstable; urgency=medium

  * debian/patches/: patchset updated
    - 0001-Fix_CVE-2018-20365_for_real.patch added
  * debian/: debhelper bump 11 -> 12

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 10 Jan 2019 21:51:18 +0100

libraw (0.19.2-1) unstable; urgency=medium

  * New upstream release
    This minor release fixes the following
    security issues:
    - CVE-2018-20337
    - CVE-2018-20363
    - CVE-2018-20364
    - CVE-2018-20365
  * debian/control: S-V bump 4.2.1 -> 4.3.0 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 27 Dec 2018 21:25:22 +0100

libraw (0.19.1-1) unstable; urgency=medium

  * New upstream release

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 16 Dec 2018 14:34:20 +0100

libraw (0.19.0-4) unstable; urgency=medium

  [ Jeremy Bicha ]
  * debian/libraw19.symbols: Mark 2 symbols as optional
    which disappear when built with -O3 on Ubuntu's ppc64el

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 09 Nov 2018 22:53:58 +0100

libraw (0.19.0-3) unstable; urgency=medium

  * Upload to unstable
  * debian/control: S-V bump 4.1.5 -> 4.2.1 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 27 Aug 2018 23:10:52 +0200

libraw (0.19.0-2) experimental; urgency=medium

  * debian/libraw19.symbols: symbols updated to fix buildd FTBFS

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 26 Jul 2018 23:34:33 +0200

libraw (0.19.0-1) experimental; urgency=medium

  * New upstream release
    - debian/: SONAME bump 16 -> 19
    - debian/libraw19.symbols: symbols updated

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 18 Jul 2018 22:49:27 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,18 @@
 Source: libraw
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
+Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
 Uploaders: Matteo F. Vescovi <mfv@debian.org>
-Build-Depends: debhelper (>= 11),
-               pkg-config,
+Build-Depends: debhelper (>= 12~),
                liblcms2-dev,
-               libjpeg-dev
-Standards-Version: 4.1.5
+               libjpeg-dev,
+               pkg-config
+Standards-Version: 4.3.0
 Homepage: https://www.libraw.org
 Vcs-Browser: https://salsa.debian.org/debian-phototools-team/libraw
 Vcs-Git: https://salsa.debian.org/debian-phototools-team/libraw.git
 
-Package: libraw16
+Package: libraw19
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
@@ -41,7 +40,7 @@
 Section: libdevel
 Architecture: any
 Depends: ${misc:Depends},
-         libraw16 (= ${binary:Version}),
+         libraw19 (= ${binary:Version}),
          liblcms2-dev
 Multi-Arch: same
 Description: raw image decoder library (development files)

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--bindir=/usr/lib/libraw \
		--enable-jpeg

## libraw 0.19.5

=== debian/changelog ===
libraw (0.19.5-1ubuntu1) focal; urgency=medium

  * debian/tests/build:
    - Use the correct compiler for proposed autopkgtest cross-testing
      support. 

 -- Sebastien Bacher <seb128@debian.org>  Tue, 24 Mar 2020 16:36:35 +0100

libraw (0.19.5-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 21 Mar 2020 13:28:32 +0100

libraw (0.19.5-1) unstable; urgency=medium

  * New upstream release

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 28 Aug 2019 23:45:51 +0200

libraw (0.19.4-1) unstable; urgency=medium

  * New upstream release
  * debian/: really bump debhelper to v12
  * debian/control: S-V bump 4.3.0 -> 4.4.0 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 09 Aug 2019 22:29:04 +0200

libraw (0.19.3-1) unstable; urgency=medium

  * New upstream release
    - debian/patches/: patchset dropped (applied upstream)

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 11 Jul 2019 22:46:26 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
 Uploaders: Matteo F. Vescovi <mfv@debian.org>
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                liblcms2-dev,
                libjpeg-dev,
                pkg-config
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://www.libraw.org
 Vcs-Browser: https://salsa.debian.org/debian-phototools-team/libraw
 Vcs-Git: https://salsa.debian.org/debian-phototools-team/libraw.git

=== debian/watch ===
version=3
opts=\
filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/LibRaw-$1\.tar\.gz/,\
uversionmangle=s/-/~/ \
https://github.com/LibRaw/LibRaw/tags .*/v?(\d\S*)\.tar\.gz

## libraw 0.20.0

=== debian/changelog ===
libraw (0.20.0-4) unstable; urgency=medium

  * Upload to unstable
  * debian/libraw20.symbols: drop duplicates and
    restrict to 64 bits

 -- Matteo F. Vescovi <mfv@debian.org>  Tue, 18 Aug 2020 15:45:30 +0200

libraw (0.20.0-3) experimental; urgency=medium

  * debian/libraw20.symbols: drop MISSING and update others

 -- Matteo F. Vescovi <mfv@debian.org>  Tue, 04 Aug 2020 23:43:02 +0200

libraw (0.20.0-2) experimental; urgency=medium

  * debian/libraw20.symbols: file updated

 -- Matteo F. Vescovi <mfv@debian.org>  Tue, 04 Aug 2020 21:11:25 +0200

libraw (0.20.0-1) experimental; urgency=medium

  [ Matteo F. Vescovi ]
  * New upstream release
    This release fixes CVE-2020-15503:
    | LibRaw before 0.20-RC1 lacks a thumbnail size range check.
    | This affects decoders/unpack_thumb.cpp,
    | postprocessing/mem_image.cpp, and utils/thumb_utils.cpp.
    | For example,
    | malloc(sizeof(libraw_processed_image_t)+T.tlength) occurs
    | without validating T.tlength.
  * debian/: SONAME bump 19 -> 20
  * debian/control:
    - debhelper bump 12 -> 13
    - S-V bump 4.4.0 -> 4.5.0 (no changes needed)
    - RRR set
  * debian/tests/smoketest: path adapted
  * debian/copyright: entries for unused files and licenses removed
  * debian/rules: drop useless files installation
  * debian/libraw20.symbols: missing and new symbols added

  [ Sebastien Bacher ]
  * debian/tests/build: use the correct compiler for
    autopkgtest cross-testing. (Closes: #954886)

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 30 Jul 2020 00:09:36 +0200

## libraw 0.20.2

=== debian/changelog ===
libraw (0.20.2-2ubuntu2) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 24 Mar 2022 13:14:52 +0100

libraw (0.20.2-2ubuntu1) jammy; urgency=medium

  * Merge with/Rebase on Debian. Remaining changes:
    - Mark C++ template instantiation symbols optional (LP: #1917756)
    - Mark symbols as optional not seen when building with lto

 -- Heather Ellsworth <heather.ellsworth@canonical>  Tue, 23 Nov 2021 20:37:09 +0000

libraw (0.20.2-2) unstable; urgency=medium

  * debian/watch: bump version 3 -> 4
  * debian/control: S-V bump 4.5.0 -> 4.6.0 (no changes needed)
  * debian/libraw-doc.docs: install cpp samples (Closes: #994019)
  * debian/libraw-bin.install: move sample binaries to usr/bin
  * debian/NEWS: added to describe sample binaries move
  * debian/rules:
    - drop useless linker flags
    - hardening options added

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 11 Sep 2021 16:56:07 +0200

libraw (0.20.2-1) unstable; urgency=medium

  * New upstream release

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 19 Oct 2020 23:00:12 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,20 @@
 Source: libraw
 Section: libs
 Priority: optional
-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
 Uploaders: Matteo F. Vescovi <mfv@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                liblcms2-dev,
                libjpeg-dev,
                pkg-config
-Standards-Version: 4.4.0
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
 Homepage: https://www.libraw.org
 Vcs-Browser: https://salsa.debian.org/debian-phototools-team/libraw
 Vcs-Git: https://salsa.debian.org/debian-phototools-team/libraw.git
 
-Package: libraw19
+Package: libraw20
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
@@ -40,7 +42,7 @@
 Section: libdevel
 Architecture: any
 Depends: ${misc:Depends},
-         libraw19 (= ${binary:Version}),
+         libraw20 (= ${binary:Version}),
          liblcms2-dev
 Multi-Arch: same
 Description: raw image decoder library (development files)

## libraw 0.21.1

=== debian/changelog ===
libraw (0.21.1-7deepin1) unstable; urgency=medium

  * delete symbols from libraw23.symlbols

 -- bluesky <chenchongbiao@deepin.org>  Mon, 25 Sep 2023 13:59:40 +0800

libraw (0.21.1-7) unstable; urgency=medium

  * debian/libraw23.symbols: more symbols fixing

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 24 Jul 2023 14:22:16 +0200

libraw (0.21.1-6) unstable; urgency=medium

  * debian/patches/: patchset updated
    - 0002-raw-identify-use-fallback-if-PATH_MAX-not-available.patch added
  * debian/libraw23.symbols: initial fix after gcc-13

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 22 Jul 2023 23:08:47 +0200

libraw (0.21.1-5) unstable; urgency=medium

  * debian/patches/: patchset updated (Closes: #1036281)
    - 0001-Do-not-set-shrink-flag-for-3-4-component-images.patch added
      CVE-2023-1729:
      | A flaw was found in LibRaw. A heap-buffer-overflow
      | in raw2image_ex() caused by a maliciously crafted file
      | may lead to an application crash.

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 05 Jul 2023 22:47:57 +0200

libraw (0.21.1-4) unstable; urgency=medium

  * Upload to unstable

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 02 Jul 2023 16:56:51 +0200

libraw (0.21.1-3) experimental; urgency=medium

  * debian/libraw23.symbols: architecture narrowing

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 01 Mar 2023 20:09:01 +0100

libraw (0.21.1-2) experimental; urgency=medium

  * debian/libraw23.symbols: symbols fixed

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 27 Feb 2023 23:39:59 +0100

libraw (0.21.1-1) experimental; urgency=medium

  * New upstream release
    - debian/: SONAME bump 20 -> 23
  * debian/libraw23.symbols:
    - SONAME version bump
    - file updated against v0.21.1
  * debian/control: S-V bump 4.6.0 -> 4.6.2 (no changes needed)
  * debian/copyright: timestamp bump for debian/

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 23 Jan 2023 21:21:27 +0100

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,19 @@
 Source: libraw
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
+Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
 Uploaders: Matteo F. Vescovi <mfv@debian.org>
 Build-Depends: debhelper-compat (= 13),
                liblcms2-dev,
                libjpeg-dev,
                pkg-config
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://www.libraw.org
 Vcs-Browser: https://salsa.debian.org/debian-phototools-team/libraw
 Vcs-Git: https://salsa.debian.org/debian-phototools-team/libraw.git
 
-Package: libraw20
+Package: libraw23
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
@@ -42,7 +41,7 @@
 Section: libdevel
 Architecture: any
 Depends: ${misc:Depends},
-         libraw20 (= ${binary:Version}),
+         libraw23 (= ${binary:Version}),
          liblcms2-dev
 Multi-Arch: same
 Description: raw image decoder library (development files)

## libraw 0.21.2

=== debian/changelog ===
libraw (0.21.2-2.1ubuntu0.24.04.1) noble-security; urgency=medium

  * SECURITY UPDATE: Out of bounds read
    - debian/patches/CVE-2025-43961-CVE-2025-43962.patch: Check
      size of head array values
    - CVE-2025-43961
    - CVE-2025-43962
    - debian/patches/CVE-2025-43963.patch: check split_col/split_row
      values in phase_one_correct
    - CVE-2025-43963
  * SECURITY UPDATE: Malformed input
    - debian/patches/CVE-2025-43964.patch: additional checks in PhaseOne
      correction tag 0x412 processing
    - CVE-2025-43964

 -- Bruce Cable <bruce.cable@canonical.com>  Mon, 28 Apr 2025 14:02:15 +1000

libraw (0.21.2-2.1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 02:12:59 +0000

libraw (0.21.2-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062601

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 19:43:42 +0000

libraw (0.21.2-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

  [ Matthias Klose ]
  * Mark symbols as optional not seen when building with lto. (Closes:
    #1015516)

  [ Heather Ellsworth ]
  * Open merge request against gitlab on salsa.debian.org

  [ Olivier Tilloy ]
  * Mark C++ template instantiations optional
    (This was already done in Debian due to gcc-13 symbols changes

  [ Gianfranco Costamagna ]
  * Team upload
  * Sort symbols
  * Drop duplicated symbols

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 15 Jan 2024 10:04:22 +0100

libraw (0.21.2-1) unstable; urgency=medium

  * New upstream release
  * debian/patches/: patchset updated
    - Old patches dropped (merged upstream)
    - 0001-CR3-Qstep-table-avoid-wrong-64-bit-code-generation.patch added
    (Closes: #1060257)

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 14 Jan 2024 18:24:49 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: libraw
 Section: libs
 Priority: optional
-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
 Uploaders: Matteo F. Vescovi <mfv@debian.org>
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
                liblcms2-dev,
                libjpeg-dev,
                pkg-config
@@ -13,7 +14,10 @@
 Vcs-Browser: https://salsa.debian.org/debian-phototools-team/libraw
 Vcs-Git: https://salsa.debian.org/debian-phototools-team/libraw.git
 
-Package: libraw23
+Package: libraw23t64
+Provides: ${t64:Provides}
+Replaces: libraw23
+Breaks: libraw23 (<< ${source:Version})
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
@@ -41,7 +45,7 @@
 Section: libdevel
 Architecture: any
 Depends: ${misc:Depends},
-         libraw23 (= ${binary:Version}),
+         libraw23t64 (= ${binary:Version}),
          liblcms2-dev
 Multi-Arch: same
 Description: raw image decoder library (development files)

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

INSTDIR=debian/tmp

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--bindir=/usr/lib/libraw \
		--enable-jpeg

override_dh_install:
	rm -f $(INSTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/*.la
	rm -f $(INSTDIR)/usr/share/doc/libraw/LICENSE.*
	rm -f $(INSTDIR)/usr/share/doc/libraw/Changelog.txt
	rm -f $(INSTDIR)/usr/share/doc/libraw/COPYRIGHT
	dh_install

## libraw 0.21.3

=== debian/changelog ===
libraw (0.21.3-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Reverse t64 transition.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 07 Dec 2024 17:32:16 -0800

libraw (0.21.3-1) unstable; urgency=medium

  * New upstream release
    - debian/patches/: patchset dropped (merged upstream)
  * debian/control:
    - pkg-config -> pkgconf
    - S-V bump 4.6.2 -> 4.7.0 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 24 Oct 2024 20:53:40 +0200

=== debian/control ===
Source: libraw
Section: libs
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
Uploaders: Matteo F. Vescovi <mfv@debian.org>
Build-Depends: debhelper-compat (= 13),
               libjpeg-dev,
               liblcms2-dev,
               pkgconf
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://www.libraw.org
Vcs-Browser: https://salsa.debian.org/debian-phototools-team/libraw
Vcs-Git: https://salsa.debian.org/debian-phototools-team/libraw.git

Package: libraw23
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: raw image decoder library
 LibRaw is a library for reading RAW files obtained from digital photo cameras
 (CRW/CR2, NEF, RAF, DNG, and others).
 .
 This package contains the shared library.

Package: libraw-bin
Section: graphics
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: foreign
Description: raw image decoder library (tools)
 LibRaw is a library for reading RAW files obtained from digital photo cameras
 (CRW/CR2, NEF, RAF, DNG, and others).
 .
 This package contains some tools to manipulate RAW files.

Package: libraw-dev
Section: libdevel
Architecture: any
Depends: liblcms2-dev, libraw23 (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Description: raw image decoder library (development files)
 LibRaw is a library for reading RAW files obtained from digital photo cameras
 (CRW/CR2, NEF, RAF, DNG, and others).
 .
 This package contains the static library and header files.

Package: libraw-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: raw image decoder library (documentation)
 LibRaw is a library for reading RAW files obtained from digital photo cameras
 (CRW/CR2, NEF, RAF, DNG, and others).
 .
 This package contains documentation files.

=== debian/rules ===
--- 
+++ 
@@ -18,3 +18,8 @@
 	rm -f $(INSTDIR)/usr/share/doc/libraw/Changelog.txt
 	rm -f $(INSTDIR)/usr/share/doc/libraw/COPYRIGHT
 	dh_install
+
+# No dbgsym packages:
+override_dh_strip:
+	@echo "not building dbgsym packages for MX Linux"
+	dh_strip --no-automatic-dbgsym

## libraw 0.21.4

=== samples/Makefile ===
all: 
	(cd ..; make all_samples)

=== debian/changelog ===
libraw (0.21.4-2~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Revert t64 transitions.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 23 Nov 2025 16:50:24 -0800

libraw (0.21.4-2) unstable; urgency=medium

  * Team upload.
  * Revert "d/libraw23t64.symbols: add some symbols already exist in 0.21.3"
    fix FTBFS on some Architecture:
    https://buildd.debian.org/status/logs.php?pkg=libraw&ver=0.21.4-1

 -- xiao sheng wen <atzlinux@debian.org>  Thu, 24 Apr 2025 21:52:02 +0800

libraw (0.21.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.21.4
    This minor release fixes the following security issues:
    - CVE-2025-43961 - CVE-2025-43962 Closes: #1103781
    - CVE-2025-43963 Closes: #1103782
    - CVE-2025-43964 Closes: #1103783
  * d/control: Build-Depends delete dpkg-dev (>= 1.22.5), not needed
  * Bump Standards-Version: 4.7.2
  * d/copyright:
      - update year info
      - fix old-fsf-address-in-copyright-file
  * update d/libraw23t64.lintian-overrides
  * d/libraw23t64.symbols:
      - add * Build-Depends-Package: libraw-dev
      - add some symbols already exist in 0.21.3

 -- xiao sheng wen <atzlinux@debian.org>  Thu, 24 Apr 2025 15:55:00 +0800

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,19 @@
 Source: libraw
 Section: libs
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
+Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
 Uploaders: Matteo F. Vescovi <mfv@debian.org>
-Build-Depends: debhelper-compat (= 13),
-               libjpeg-dev,
-               liblcms2-dev,
-               pkgconf
-Standards-Version: 4.7.0
+Build-Depends: debhelper-compat (= 13), libjpeg-dev, liblcms2-dev, pkgconf
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://www.libraw.org
 Vcs-Browser: https://salsa.debian.org/debian-phototools-team/libraw
 Vcs-Git: https://salsa.debian.org/debian-phototools-team/libraw.git
 
 Package: libraw23
+# Provides: ${t64:Provides}
+# Replaces: libraw23
+Breaks: libraw23 (<< ${source:Version})
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}

=== debian/rules ===
--- 
+++ 
@@ -21,5 +21,5 @@
 
 # No dbgsym packages:
 override_dh_strip:
-	@echo "not building dbgsym packages for MX Linux"
+	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
 	dh_strip --no-automatic-dbgsym

## libraw 0.21.5b

=== debian/changelog ===
libraw (0.21.5b-1ubuntu1) resolute; urgency=medium

  * d/libraw23t64.symbols: Remove d/libraw23t64.symbols, added in
    0.21.5b-1 in Debian. It is generated without LTO therefore builds
    in Ubuntu with LTO enabled fail during dpkg-gensymbols. (LP: #2141767)

 -- John Chittum <john.chittum@canonical.com>  Mon, 16 Feb 2026 13:19:31 -0500

libraw (0.21.5b-1) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version: 4.7.3
  * add d/gbp.conf
  * New upstream version 0.21.5b
  * debian/copyright: update-debian-copyright to 2026
  * update d/libraw23t64.lintian-overrides
  * d/control: Build-Depends add dh-sequence-pkgkde-symbolshelper
  * d/libraw23t64.symbols, fix lintian warning:
      - copy debian/tmp/DEBIAN/symbols to debian/libraw23t64.symbols
      - add SymbolsHelper-Confirmed
      - use pkgkde-symbolshelper batchpatch libraw_0.21.4-3~exp*.build
      - set symbols version down to 0.21.2 from 0.21.4

 -- xiao sheng wen <atzlinux@debian.org>  Sun, 04 Jan 2026 12:17:25 +0800

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,28 @@
 Source: libraw
 Section: libs
 Priority: optional
-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
 Uploaders: Matteo F. Vescovi <mfv@debian.org>
-Build-Depends: debhelper-compat (= 13), libjpeg-dev, liblcms2-dev, pkgconf
-Standards-Version: 4.7.2
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-pkgkde-symbolshelper,
+               liblcms2-dev,
+               libjpeg-dev,
+               pkgconf
+Standards-Version: 4.7.3
 Rules-Requires-Root: no
 Homepage: https://www.libraw.org
 Vcs-Browser: https://salsa.debian.org/debian-phototools-team/libraw
 Vcs-Git: https://salsa.debian.org/debian-phototools-team/libraw.git
 
-Package: libraw23
-# Provides: ${t64:Provides}
-# Replaces: libraw23
+Package: libraw23t64
+Provides: ${t64:Provides}
+Replaces: libraw23
 Breaks: libraw23 (<< ${source:Version})
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Multi-Arch: same
 Description: raw image decoder library
  LibRaw is a library for reading RAW files obtained from digital photo cameras
@@ -27,7 +33,8 @@
 Package: libraw-bin
 Section: graphics
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Multi-Arch: foreign
 Description: raw image decoder library (tools)
  LibRaw is a library for reading RAW files obtained from digital photo cameras
@@ -38,7 +45,9 @@
 Package: libraw-dev
 Section: libdevel
 Architecture: any
-Depends: liblcms2-dev, libraw23 (= ${binary:Version}), ${misc:Depends}
+Depends: ${misc:Depends},
+         libraw23t64 (= ${binary:Version}),
+         liblcms2-dev
 Multi-Arch: same
 Description: raw image decoder library (development files)
  LibRaw is a library for reading RAW files obtained from digital photo cameras

## libraw 0.22.0

=== debian/changelog ===
libraw (0.22.0-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream version 0.22.0
  * Bump so name to 24
    - d/control: update binary package name to libraw24
    - rm d/libraw23t64.*
    - add d/libraw24.*

 -- xiao sheng wen <atzlinux@debian.org>  Mon, 02 Feb 2026 15:07:09 +0800

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: libraw
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
+Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
 Uploaders: Matteo F. Vescovi <mfv@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-pkgkde-symbolshelper,
@@ -15,10 +14,7 @@
 Vcs-Browser: https://salsa.debian.org/debian-phototools-team/libraw
 Vcs-Git: https://salsa.debian.org/debian-phototools-team/libraw.git
 
-Package: libraw23t64
-Provides: ${t64:Provides}
-Replaces: libraw23
-Breaks: libraw23 (<< ${source:Version})
+Package: libraw24
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
@@ -46,7 +42,7 @@
 Section: libdevel
 Architecture: any
 Depends: ${misc:Depends},
-         libraw23t64 (= ${binary:Version}),
+         libraw24 (= ${binary:Version}),
          liblcms2-dev
 Multi-Arch: same
 Description: raw image decoder library (development files)
